#ifndef PHOTOAUTOCAPTURE_H
#define PHOTOAUTOCAPTURE_H

#include <QMainWindow>
#include <QDialog>
#include <QSpinBox>
#include <QString>
#include <QStringList>
#include "qextserialport.h"

class QCheckBox;
class QGridLayout;
class QDialogButtonBox;
class QGroupBox;
class QLabel;
class QLineEdit;
class QPushButton;
class QSpinBox;
class QAction;
class QDate;
class QTime;
class QIODdevice;
class QSerialPortTools;

class Temp : public QMainWindow
{
    Q_OBJECT

public:
	Temp();
	~Temp();
	static QString portSerie;
	static QList<double> temperature;
	void openPort();

	
private slots:
	void ReceiveTemp();

private:
	void configPort(QextSerialPort &defConfig);
	QWidget *centralWidget;
	QGridLayout *mainLayout;
	QTimer *receiveTimer;
};

#endif
