TEMPLATE = app
DEPENDPATH += .
INCLUDEPATH += $(QWTSRC)/src
DEFINES += __STDC_CONSTANT_MACROS
CONFIG += qt warn_off thread release 


# Input
HEADERS += \
	src/temp.h \
	src/freqplot.h \
	src/qextserialbase.h \
	src/qextserialport.h 

SOURCES += \
	src/main.cpp \
	src/temp.cpp \
	src/freqplot.cpp \
	src/qextserialport.cpp \ 
	src/qextserialbase.cpp 

contains( CONFIG , armadeus) {
        message("armadeus")
        TARGET = ./bin/$(OUTPUT_DIR)/temp
        HEADERS += src/Posix_QextSerialPort.h
        SOURCES += src/Posix_QextSerialPort.cpp
        DEFINES += _TTY_POSIX_
        DEFINES += _TTY_ARMADEUS_
	LIBS += -lm Lib/$(OUTPUT_DIR)/libqwt.a
	OBJECTS_DIR = bin/$(OUTPUT_DIR)/objs/
	MOC_DIR = bin/$(OUTPUT_DIR)/mocs/
	UI_DIR= bin/$(OUTPUT_DIR)/uis/	
}

contains( CONFIG , qvfb) {
        message("Qt virtual frame buffer")
        TARGET = ./bin/$(OUTPUT_DIR)/temp
        HEADERS += src/Posix_QextSerialPort.h
        SOURCES += src/Posix_QextSerialPort.cpp
        DEFINES += _TTY_POSIX_
	LIBS += -lm Lib/$(OUTPUT_DIR)/libqwt.a
	OBJECTS_DIR = bin/$(OUTPUT_DIR)/objs/
	MOC_DIR = bin/$(OUTPUT_DIR)/mocs/
	UI_DIR= bin/$(OUTPUT_DIR)/uis/	
}

contains( CONFIG , linux32) {
        message("linux32")
        TARGET = bin/temp
        HEADERS += src/Posix_QextSerialPort.h
        SOURCES += src/Posix_QextSerialPort.cpp
        DEFINES += _TTY_POSIX_
	LIBS += -lm Lib/linux32/libqwt.a
        LIBS += -lm
}

contains( CONFIG , linux64) {
        message("linux64")
        TARGET = bin/temp
        HEADERS += src/Posix_QextSerialPort.h
        SOURCES += src/Posix_QextSerialPort.cpp
        DEFINES += _TTY_POSIX_
		LIBS += -lm Lib/linux64/libqwt.a
        LIBS += -lm
}

contains( CONFIG , window32 ) {
        message("win32")
        HEADERS += src/win_qextserialport.h
        SOURCES += src/Win_QextSerialPort.cpp
        DEFINES += _TTY_WIN_  
		LIBS += Lib/windows32/libqwt.a
        TARGET = temp
}

