#ifndef PHOTOAUTOCAPTURE_H
#define PHOTOAUTOCAPTURE_H

#include <QMainWindow>
#include <QDialog>
#include <QSpinBox>
#include <QString>
#include <QStringList>
#include "qextserialport.h"

class QCheckBox;
class QGridLayout;
class QDialogButtonBox;
class QGroupBox;
class QLabel;
class QLineEdit;
class QPushButton;
class QSpinBox;
class QAction;
class QDate;
class QTime;
class QIODdevice;
class QSerialPortTools;

class PhotoAutoCapture : public QMainWindow
{
    Q_OBJECT

public:
	PhotoAutoCapture();
	~PhotoAutoCapture();
	static QString portSerie;
	static QTime temps;
   	static QDate m_date;
	//QSerialPortTools *spc;


public slots:
	int faitLabelDate();
	void configPortSlot();
	
private slots:
	void SendData();
	void ReceiveData();
	void ReceiveTemp();
	void criticalMessage();
	int GetHeure();
	int GetMinute();
	int GetSeconde();
	int GetAnnee();
	int GetMois();
	int GetJour();

private:
	void configPort(QextSerialPort &defConfig);
	QWidget *centralWidget;
	QGridLayout *mainLayout;
	QLabel *labelDepart;
	QLabel *labelInterval;
	QLabel *labelNbPhoto;
	QLabel *Hdeb;
	QLabel *Mindeb;
	QLabel *Hint;
	QLabel *Minint;
	QLabel *labelDate;
	QDialogButtonBox *buttonBox;
	QPushButton *ConfigButton;
	QPushButton *SendButton;
	QPushButton *ReceiveButton;
	QPushButton *TempButton;
	QSpinBox *Hdebut;	
	QSpinBox *Mindebut;	
	QSpinBox *Hinter;	
	QSpinBox *Mininter;	
	QSpinBox *NbPhoto;
	QTimer *dateTimer;
};

#endif
